package org.dromara.synjinlangyun.listener;

import org.openmuc.j60870.ASdu;
import org.openmuc.j60870.ConnectionEventListener;

import java.io.IOException;

public class J60870ClientListener implements ConnectionEventListener {

    //监听从站发来的数据
    @Override
    public void newASdu(ASdu aSdu) {
        System.out.println(aSdu.toString());
    }

    //监听连接关闭
    @Override
    public void connectionClosed(IOException e) {
        e.printStackTrace();
    }
}
